Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Flash onder 12.04 werkt niet  (gelezen 2016 keer)

Offline pahendriks

  • Lid
  • Steunpunt: Nee
Flash onder 12.04 werkt niet
« Gepost op: 2012/11/13, 13:03:10 »
Ubuntu 12.04 32 bit wil geen flash filmpjes afspelen in Firefox of Chrome. Heb van alles geprobeerd om Flash aan de praat te krijgen, maar het lukt niet. Ook de tips van Pjotr helpen niet. Flash is wel geinstalleerd, maar als ik tik:

apt-cache policy flashplugin-nonfree

dan is de output dat er niets geinstalleerd is.

Wie o wie kan mij helpen?

Offline Manno

  • Lid
    • manno-boxmeer
    • www.setd.nl
  • Steunpunt: Nee
Re: Flash onder 12.04 werkt niet
« Reactie #1 Gepost op: 2012/11/13, 13:10:34 »
wat krijg je voor output als je in de adresbalk bij firefox intypt about:plugins ?

Offline pahendriks

  • Lid
  • Steunpunt: Nee
Re: Flash onder 12.04 werkt niet
« Reactie #2 Gepost op: 2012/11/13, 15:02:07 »
output about:plugins:


Ingeschakelde plug-ins
Vind meer informatie over browserplug-ins op mozilla.org.
Vind updates voor geïnstalleerde plug-ins op mozilla.com/plugincheck.
Hulp bij het installeren van plug-ins is beschikbaar op plugindoc.mozdev.org.
Java(TM) Plug-in 1.7.0_09

    Bestand: libnpjp2.so
    Versie:
    Java plug-in for NPAPI-based browsers.

MIME-type    Beschrijving    Achtervoegsels
application/x-java-vm    Java™ Plug-in    
application/x-java-applet    Java™ Plug-in Applet    
application/x-java-bean    Java™ Plug-in JavaBeans    
application/x-java-applet;version=1.1    Java™ Plug-in    
application/x-java-bean;version=1.1    Java™ Plug-in    
application/x-java-applet;version=1.1.1    Java™ Plug-in    
application/x-java-bean;version=1.1.1    Java™ Plug-in    
application/x-java-applet;version=1.1.2    Java™ Plug-in    
application/x-java-bean;version=1.1.2    Java™ Plug-in    
application/x-java-applet;version=1.1.3    Java™ Plug-in    
application/x-java-bean;version=1.1.3    Java™ Plug-in    
application/x-java-applet;version=1.2    Java™ Plug-in    
application/x-java-bean;version=1.2    Java™ Plug-in    
application/x-java-applet;version=1.2.1    Java™ Plug-in    
application/x-java-bean;version=1.2.1    Java™ Plug-in    
application/x-java-applet;version=1.2.2    Java™ Plug-in    
application/x-java-bean;version=1.2.2    Java™ Plug-in    
application/x-java-applet;version=1.3    Java™ Plug-in    
application/x-java-bean;version=1.3    Java™ Plug-in    
application/x-java-applet;version=1.3.1    Java™ Plug-in    
application/x-java-bean;version=1.3.1    Java™ Plug-in    
application/x-java-applet;version=1.4    Java™ Plug-in    
application/x-java-bean;version=1.4    Java™ Plug-in    
application/x-java-applet;version=1.4.1    Java™ Plug-in    
application/x-java-bean;version=1.4.1    Java™ Plug-in    
application/x-java-applet;version=1.4.2    Java™ Plug-in    
application/x-java-bean;version=1.4.2    Java™ Plug-in    
application/x-java-applet;version=1.5    Java™ Plug-in    
application/x-java-bean;version=1.5    Java™ Plug-in    
application/x-java-applet;version=1.6    Java™ Plug-in    
application/x-java-bean;version=1.6    Java™ Plug-in    
application/x-java-applet;version=1.7    Java™ Plug-in    
application/x-java-bean;version=1.7    Java™ Plug-in    
application/x-java-applet;jpi-version=1.7.0_09    Java™ Plug-in    
application/x-java-bean;jpi-version=1.7.0_09    Java™ Plug-in    
application/x-java-applet;deploy=10.9.2    Java™ Plug-in    
application/x-java-applet;javafx=2.2.3    Java™ Plug-in    
application/x-java-vm-npruntime    Java™ Plug-in    
Shockwave Flash

    Bestand: libflashplayer.so
    Versie:
    Shockwave Flash 11.2 r202

MIME-type    Beschrijving    Achtervoegsels
application/x-shockwave-flash    Shockwave Flash    swf
application/futuresplash    FutureSplash Player    spl
iTunes Application Detector

    Bestand: librhythmbox-itms-detection-plugin.so
    Versie:
    This plug-in detects the presence of iTunes when opening iTunes Store URLs in a web page with Firefox.

MIME-type    Beschrijving    Achtervoegsels
application/itunes-plugin       
Adobe Reader 9.5

    Bestand: nppdf.so
    Versie:
    The Adobe Reader plugin is used to enable viewing of PDF and FDF files from within the browser.

MIME-type    Beschrijving    Achtervoegsels
application/pdf    Portable Document Format    pdf
application/vnd.fdf    Acrobat Forms Data Format    fdf
application/vnd.adobe.xfdf    XML Version of Acrobat Forms Data Format    xfdf
application/vnd.adobe.xdp+xml    Acrobat XML Data Package    xdp
application/vnd.adobe.xfd+xml    Adobe FormFlow99 Data File    xfd

Offline HarzG

  • Lid
  • Steunpunt: Nee
Re: Flash onder 12.04 werkt niet
« Reactie #3 Gepost op: 2012/11/13, 16:43:43 »
vraag: Van welke site wordt de inhoud niet getoond, Youtube?

Als je de add-on NoScript hebt geïnstalleerd (of een vergelijkbare beveiliging/blokker), dan moet je eerst voor een site toestaan dat deze website (tijdelijk) de (flash-)inhoud mag tonen.
Xubuntu 16.04; siduction-15.1.0 Xfce

Offline pahendriks

  • Lid
  • Steunpunt: Nee
Re: Flash onder 12.04 werkt niet
« Reactie #4 Gepost op: 2012/11/13, 16:54:06 »
Inderdaad YouTube werkt niet.

Ik heb geen script geinstalleerd.

Testpagina's melden dat flash niet is geinstalleerd, maar het pakket is wel via het softwarecentrum geinstalleerd en als plugin wordt ie ook gewoon weegegeven in de add-onbeheerder van firefox.

Kan het iets te maken hebben met de (oude) NVDIA grafische kaart?

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: Flash onder 12.04 werkt niet
« Reactie #5 Gepost op: 2012/11/13, 20:23:10 »
Nee, dan heeft het hooguit met je processor te maken... wat voor processor heb je?

Offline RikRik

  • Lid
  • Steunpunt: Nee
Re: Flash onder 12.04 werkt niet
« Reactie #6 Gepost op: 2012/11/13, 22:08:43 »
Inderdaad YouTube werkt niet.

Ik heb geen script geinstalleerd.

Testpagina's melden dat flash niet is geinstalleerd, maar het pakket is wel via het softwarecentrum geinstalleerd en als plugin wordt ie ook gewoon weegegeven in de add-onbeheerder van firefox.

Kan het iets te maken hebben met de (oude) NVDIA grafische kaart?
Normaal gesproken zou het installeren van de Niet-vrije multimedia-extra's voor Ubuntu voldoende moeten zijn.
Maar dat wist je uiteraard allang... Had je voor Ubuntu 12.04 geen problemen met Flash?

Offline pahendriks

  • Lid
  • Steunpunt: Nee
Re: Flash onder 12.04 werkt niet
« Reactie #7 Gepost op: 2012/11/13, 22:56:11 »
Nee, dan heeft het hooguit met je processor te maken... wat voor processor heb je?

Het is een AMD Athlon processor:

id:   
cpu
description:    CPU
product:    AMD Athlon(tm) Processor
vendor:    Advanced Micro Devices [AMD]
physical id:     4
bus info:    cpu@0
version:    6.6.2
slot:    Socket-A
size:    1150MHz
capacity:    3GHz
width:    32 bits
clock:    100MHz
capabilities:    boot fpu fpu_exception wp vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 mmx fxsr sse syscall mmxext 3dnowext 3dnow up

Offline pahendriks

  • Lid
  • Steunpunt: Nee
Re: Flash onder 12.04 werkt niet
« Reactie #8 Gepost op: 2012/11/13, 22:58:29 »
Normaal gesproken zou het installeren van de Niet-vrije multimedia-extra's voor Ubuntu voldoende moeten zijn.
Maar dat wist je uiteraard allang... Had je voor Ubuntu 12.04 geen problemen met Flash?

De pc had onder 10.04 ook al enige tijd geleden opeens problemen met Flash. Reeds enige maanden. Upgrade naar 12.04 heeft dus niet geholpen. Inmiddels schone 12.04 installatie gedaan, maar dat hielp dus ook niet. Misschien de AMD Athlon processor?

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: Flash onder 12.04 werkt niet
« Reactie #9 Gepost op: 2012/11/13, 23:02:20 »
Klopt, het is je processor. De nieuwste versie van Flash werkt alleen als je processor SSE2 ondersteund en in jou 'capabilities' (in het hierboven gegeven lijstje) zie ik alleen sse (sse1 dus) voorkomen. Dus helaas :(

Offline pahendriks

  • Lid
  • Steunpunt: Nee
Re: Flash onder 12.04 werkt niet
« Reactie #10 Gepost op: 2012/11/13, 23:09:03 »
Klopt, het is je processor. De nieuwste versie van Flash werkt alleen als je processor SSE2 ondersteund en in jou 'capabilities' (in het hierboven gegeven lijstje) zie ik alleen sse (sse1 dus) voorkomen. Dus helaas :(

En een workarround? Een oudere versie van Flash installeren? Alternatieven  voor Flash?

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: Flash onder 12.04 werkt niet
« Reactie #11 Gepost op: 2012/11/13, 23:12:50 »
Klopt, het is je processor. De nieuwste versie van Flash werkt alleen als je processor SSE2 ondersteund en in jou 'capabilities' (in het hierboven gegeven lijstje) zie ik alleen sse (sse1 dus) voorkomen. Dus helaas :(

En een workarround? Een oudere versie van Flash installeren? Alternatieven  voor Flash?

-Oudere versie: kan, maar die bevatten wel beveiliginsfouten dus je bent kwetsbaar voor aanvallen als die installeert.
-Alternatieven: Gnash, maar dan werkt YouTube maar half en de rest van Flash-spul niet of nauwelijks.
-Workaround: is er niet. Behalve een modernere processor dan. Of je moet YouTube in HTML5 zetten via http://youtube.com/html5 maar dan heb je alleen een workaround voor YouTube.

Offline RikRik

  • Lid
  • Steunpunt: Nee
Re: Flash onder 12.04 werkt niet
« Reactie #12 Gepost op: 2012/11/13, 23:20:42 »

Offline DeBaas

  • Lid
  • Steunpunt: Ja
Re: Flash onder 12.04 werkt niet
« Reactie #13 Gepost op: 2012/11/13, 23:20:56 »
Hier staat alles wat je voor 32bit flash nodig hebt.
http://dl.dropbox.com/u/4043596/libflashplayer.so.rar
Ik beantwoord GEEN hulpvragen via PB en/of MAIL

Offline pahendriks

  • Lid
  • Steunpunt: Nee
Re: Flash onder 12.04 werkt niet
« Reactie #14 Gepost op: 2012/11/13, 23:36:25 »
Hier staat alles wat je voor 32bit flash nodig hebt.
http://dl.dropbox.com/u/4043596/libflashplayer.so.rar
Thanx, na downgraden werkt het weer!

Loop ik het risico dat Ubuntu de Flashplayer via updates wil upgraden naar versie 11.xxx ?

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Re: Flash onder 12.04 werkt niet
« Reactie #15 Gepost op: 2012/11/13, 23:39:56 »
Met een ouwe versie van Flash Player ben je een dankbaar doelwit voor kwaadaardige programma's....  :o
Flash Player is een van de meest aangevallen progjes die er bestaan.

Zware afrader dus. Dan maar geen Flash, zou ik zeggen...

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: Flash onder 12.04 werkt niet
« Reactie #16 Gepost op: 2012/11/13, 23:43:22 »
Met een ouwe versie van Flash Player ben je een dankbaar doelwit voor kwaadaardige programma's....  :o
Flash Player is een van de meest aangevallen progjes die er bestaan.

Zware afrader dus. Dan maar geen Flash, zou ik zeggen...

Inderdaad. Ik raad het ook sterk af om Flash Player te downgraden vanwege dat.

Offline pahendriks

  • Lid
  • Steunpunt: Nee
Re: Flash onder 12.04 werkt niet
« Reactie #17 Gepost op: 2012/11/13, 23:44:54 »
Met een ouwe versie van Flash Player ben je een dankbaar doelwit voor kwaadaardige programma's....  :o
Flash Player is een van de meest aangevallen progjes die er bestaan.

Zware afrader dus. Dan maar geen Flash, zou ik zeggen...

Inderdaad. Ik raad het ook sterk af om Flash Player te downgraden vanwege dat.

hmm ik zal het in overweging nemen...

Offline pahendriks

  • Lid
  • Steunpunt: Nee
Re: Flash onder 12.04 werkt niet
« Reactie #18 Gepost op: 2012/11/14, 09:38:25 »
Even praktisch: hoe groot is het risico onder Linux om middels een lek in Flash aangevallen te worden? Wat kan er dan gebeuren? Persoonlijke bestanden die worden verwijderd? Persoonlijke gegevens die worden gestolen? Kan je pc onderdeel worden van een zombienetwerk? Andere kwalijke zaken?

 

Offline markba

  • Lid
    • http://markbaaijens.nl/
  • Steunpunt: Ja
Re: Flash onder 12.04 werkt niet
« Reactie #19 Gepost op: 2012/11/14, 09:56:20 »
Klopt, het is je processor. De nieuwste versie van Flash werkt alleen als je processor SSE2 ondersteund en in jou 'capabilities' (in het hierboven gegeven lijstje) zie ik alleen sse (sse1 dus) voorkomen. Dus helaas :(
Ik kende het probleem eerlijk gezegd niet (heb er zelf geen last van, noch mijn gebruikersgroep) en daarom kwam me het vreemd over dat Flash het niet doet door een processor (wat wel degelijk aan de hand is). Maar het is wel een bizar probleem, want blijkbaar doet dit zich dit alleen voor in de Linux-versie van Flash, onder Windows werkt het blijkbaar wel goed (testbaar met een dual-boot).
https://bugbase.adobe.com/index.cfm?event=bug&id=3154276

Zo te zien voegt de systeemeis voor sse2 niets toe en lijkt het 'per ongeluk' in het compileerproces (alleen voor Linux) terecht te zijn gekomen. Mijn idee is dat Adobe vanzelf komt het een nieuwe versie waar deze fout hersteld is. Voorlopig staat bovenstaande bug op 'Cannot reproduce'. :(

Offline erik1984

  • Lid
    • erik1984
  • Steunpunt: Nee
Re: Flash onder 12.04 werkt niet
« Reactie #20 Gepost op: 2012/11/14, 10:06:06 »
Klopt, het is je processor. De nieuwste versie van Flash werkt alleen als je processor SSE2 ondersteund en in jou 'capabilities' (in het hierboven gegeven lijstje) zie ik alleen sse (sse1 dus) voorkomen. Dus helaas :(
Ik kende het probleem eerlijk gezegd niet (heb er zelf geen last van, noch mijn gebruikersgroep) en daarom kwam me het vreemd over dat Flash het niet doet door een processor (wat wel degelijk aan de hand is). Maar het is wel een bizar probleem, want blijkbaar doet dit zich dit alleen voor in de Linux-versie van Flash, onder Windows werkt het blijkbaar wel goed (testbaar met een dual-boot).
https://bugbase.adobe.com/index.cfm?event=bug&id=3154276

Zo te zien voegt de systeemeis voor sse2 niets toe en lijkt het 'per ongeluk' in het compileerproces (alleen voor Linux) terecht te zijn gekomen. Mijn idee is dat Adobe vanzelf komt het een nieuwe versie waar deze fout hersteld is. Voorlopig staat bovenstaande bug op 'Cannot reproduce'. :(

Dat betwijfel ik. Flash voor Linux krijgt niet echt nieuwe versies meer, alleen nog maar wat veiligheidspatches voor zover ik weet.

Offline erik1984

  • Lid
    • erik1984
  • Steunpunt: Nee
Re: Flash onder 12.04 werkt niet
« Reactie #21 Gepost op: 2012/11/14, 10:10:39 »
Even praktisch: hoe groot is het risico onder Linux om middels een lek in Flash aangevallen te worden? Wat kan er dan gebeuren? Persoonlijke bestanden die worden verwijderd? Persoonlijke gegevens die worden gestolen? Kan je pc onderdeel worden van een zombienetwerk? Andere kwalijke zaken?

 

Een goede vraag die alleen praktisch niet te beantwoorden is. Je kunt niet echt een getal eraan hangen van het risico is 0,1% ofzo. Flash draait (als het goed is) niet met rootrechten dus het zou als het goed is alleen in je /home/$USER map schade kunnen aanrichten. Het is uiteraard aan jou om de veiligheid tegen het 'plezier' dat je hebt van Flash af te wegen.

Offline markba

  • Lid
    • http://markbaaijens.nl/
  • Steunpunt: Ja
Re: Flash onder 12.04 werkt niet
« Reactie #22 Gepost op: 2012/11/14, 10:19:43 »
Citaat
Zo te zien voegt de systeemeis voor sse2 niets toe en lijkt het 'per ongeluk' in het compileerproces (alleen voor Linux) terecht te zijn gekomen. Mijn idee is dat Adobe vanzelf komt het een nieuwe versie waar deze fout hersteld is. Voorlopig staat bovenstaande bug op 'Cannot reproduce'. :(

Dat betwijfel ik. Flash voor Linux krijgt niet echt nieuwe versies meer, alleen nog maar wat veiligheidspatches voor zover ik weet.
Ja, daar heb je ook weer gelijk in. Slechte zaak: eerst het spulletje stukmaken (eigenlijk zonder reden) en dan ons daarmee laten zitten. Het is jammer dat het allemaal gesloten spul is, want anders was er allang iemand geweest die het zaakje hercompileert zonder die compiler/processor-optie.
« Laatst bewerkt op: 2012/11/14, 10:32:23 door markba »

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Re: Flash onder 12.04 werkt niet
« Reactie #23 Gepost op: 2012/11/14, 10:27:07 »
Even praktisch: hoe groot is het risico onder Linux om middels een lek in Flash aangevallen te worden? Wat kan er dan gebeuren? Persoonlijke bestanden die worden verwijderd? Persoonlijke gegevens die worden gestolen? Kan je pc onderdeel worden van een zombienetwerk? Andere kwalijke zaken?
Diefstal van persoonlijke gegevens en van persoonlijke bestanden, want die staan in je /home. Reëel gevaar, want (zoals gezegd) Flash Player behoort tot de meest aangevallen progjes die er bestaan.

Enfin, de keuze is aan jou.

Offline DeBaas

  • Lid
  • Steunpunt: Ja
Re: Flash onder 12.04 werkt niet
« Reactie #24 Gepost op: 2012/11/14, 23:50:21 »
Als eerste staat er in de bijgevoegde tekstfile:

Be aware, there could be a security risc with using these files.
You are choosing, watch flash, knowing it's not 100% safe, or not watching at all.

Tot nu op de diverse Linuxboxen waar deze oude versie op draait nog geen geconstateerde aanvallen .
Deze machines staan echter niet 24/7 aan en wel achter een NAT.
Ben het ook niet actief aan het monitoren.
Een aantal machines met flash smurf willen met een nieuwe libvdpau1-0.5 weer wel normale kleuren geven. Maar dat is een hit and miss, bovendien ook handmatige installatie, (nog) niet aanwezig in Ubuntu.
Op mijn huidige machine met 64bit Ubuntu en nVidia-8400 geen flash problemen.
Deze zelfde machine met 32bit Ubuntu 3 situaties:
Oude flash draait perfect, dus met veiligheidsrisico.
Nieuwe flash smurf plaatjes.
Nieuwe flash, libvdpau1-05, kleuren goed echter onbestemde vastlopers.

De keuze is aan eenieder, gelukkig mag dat in Linux ;)
Ed

Ik beantwoord GEEN hulpvragen via PB en/of MAIL